[Swift-commit] r2571 - SwiftApps/adem-osg

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Wed Feb 18 15:20:19 CST 2009


Author: houzx
Date: 2009-02-18 15:20:19 -0600 (Wed, 18 Feb 2009)
New Revision: 2571

Added:
   SwiftApps/adem-osg/setup.sh
Log:
New setup.sh import

Added: SwiftApps/adem-osg/setup.sh
===================================================================
--- SwiftApps/adem-osg/setup.sh	                        (rev 0)
+++ SwiftApps/adem-osg/setup.sh	2009-02-18 21:20:19 UTC (rev 2571)
@@ -0,0 +1,70 @@
+#!/bin/bash
+#
+# set-up environment to run Adem - source me
+#
+
+dir=`basename $PWD`
+Def_Rep="http://www.ci.uchicago.edu/~houzx/pac-cache"
+
+if [ "X${GLOBUS_LOCATION}" == "X" ]; then
+   echo "NO GLOBUS Error!"
+
+else if [ $dir != "adem-osg" ]; then
+   echo "Please cd to adem-osg for first setup!"
+   
+   else if [ "X${ADEM_HOME}" == "X" ]; then
+   echo "export ADEM_HOME=$PWD" >> $HOME/.bashrc
+   echo "export PATH=\$PATH:$PWD/bin" >> $HOME/.bashrc
+       else if [ "${ADEM_HOME}" != "$PWD" ]; then
+      sed -i "s,${ADEM_HOME},$PWD,g" $HOME/.bashrc
+       fi
+#   source $HOME/.bashrc
+   fi
+fi
+fi
+
+#check the grid proxy
+grid-proxy-info 1>/dev/null 2>/dev/null
+if [ "$?" != 0 ]; then
+  echo "ERROR: Couldn not find a valid proxy, Please check your grid proxy!"
+  exit 1
+  else 
+  {
+  timel=`grid-proxy-info  |grep timeleft |cut -d: -f2`
+  if [ "$timel" -lt 1 ]; then
+  echo "Proxy has less than 60 minutes remainging - exiting."
+  exit
+  fi
+  }
+fi
+
+#check pacman
+if [ "X$PACMAN_LOCATION" == "X" ]; then
+/bin/tar -C $ADEM_HOME  -zxf $ADEM_HOME/doc/pacman-3.21.tar.gz
+DIR=$PWD
+cd $ADEM_HOME/pacman-3.21
+source setup.sh 2>/dev/null
+cd $DIR
+echo "DIR=$PWD" >> $ADEM_HOME/pac-set.sh
+echo "cd $ADEM_HOME/pacman-3.21" >> $ADEM_HOME/pac-set.sh
+echo "source setup.sh 2>/dev/null" >> $ADEM_HOME/pac-set.sh
+echo "cd $DIR" >> $ADEM_HOME/pac-set.sh
+echo "source $ADEM_HOME/pac-set.sh" >>  $HOME/.bashrc
+fi
+
+#check application software repository
+if [ "X$REPOSITORY_HOME" == "X" ]; then
+   echo "The default application software repository is:"
+   echo "$Def_Rep"
+   echo "Do you want to set up your own repository?y or n"
+   read response
+   if [ "$response" == "y" ];then
+   echo "Please input your own application software repository:"
+   read rep
+   echo "OK, you should maintain your own repository, to add,update,or remove the pacman files and software packages."
+   echo "export REPOSITORY_HOME=$rep" >> $HOME/.bashrc
+   else
+   echo "export REPOSITORY_HOME=$Def_Rep" >> $HOME/.bashrc
+   fi
+   source $HOME/.bashrc
+fi


Property changes on: SwiftApps/adem-osg/setup.sh
___________________________________________________________________
Name: svn:executable
   + 




More information about the Swift-commit mailing list